petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetSection

Set the PetscSection encoding the local data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetSection(DM dm, PetscSection section)

### Input Parameters

| dm | - The DM
| section | - The PetscSection

Note: Any existing Section will be destroyed

### See Also

DMSetSection(), DMGetGlobalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/dm/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages